


varying vec3 normal;
	uniform sampler2D Texture0;

	
	void main()
	{

vec3 N = normalize(normal);

		vec4 color ;




color.rgba	= texture2D(Texture0,gl_TexCoord[0].st).rgba;

color.rgb *=(0.5+N.y);

gl_FragColor = color;
	}